#ifndef TEST_SERIAL_DEVICE_H
#define TEST_SERIAL_DEVICE_H

/*!
  \file
  \brief SerialDevice のテスト

  \author Satofumi KAMIMURA

  $Id: TestSerialDevice.h 1811 2010-04-30 16:12:05Z satofumi $
*/

#include <cppunit/extensions/HelperMacros.h>


//! SerialDevice のテストクラス
class TestSerialDevice : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE(TestSerialDevice);
    CPPUNIT_TEST(connectTest);
    CPPUNIT_TEST(timeoutTest);
    CPPUNIT_TEST_SUITE_END();

public:
    void connectTest(void);
    void timeoutTest(void);
};

#endif /* !TEST_SERIAL_DEVICE_H */
